Update conversations configuration
PATCH
/workspaces/{workspaceId}/channels/{channelId}/conversational
This endpoint can be used to enable conversations for a channel. You should enable this option if you'd like incoming messages on this channel to start conversations.
Treść żądania
status
string
wymagane
Conversation status. If enabled, creates conversations for incoming messages.
Possible values: active, inactive
Treść odpowiedzi
status
string
wymagane
Conversation status. If enabled, creates conversations for incoming messages.
Possible values: active, inactive
Przykład kodu
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/channels/{channelId}/conversational' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Examples
Przykład kodu
curl -X PATCH "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/channels/9673b291-2f71-43c1-a07c-6f2ff0926818/conversational" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
"status": "active"
}'Przykład kodu
{
"status": "active"
}